﻿namespace Netmash.Core.Abstractions.Paging
{
    public class PageRequest
    {
        public int Page { get; }
        public int PageSize { get; }

        public PageRequest(int page, int pageSize)
        {
            Page = page <= 0 ? 1 : page;
            PageSize = pageSize <= 0 ? 10 : pageSize;
        }
    }
}
