﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Netmash.Infrastructure.DatabaseMigration.Entities.Configurations
{
    internal class MigratedScriptConfiguration : IEntityTypeConfiguration<MigratedScript>
    {
        public void Configure(EntityTypeBuilder<MigratedScript> builder)
        {
            builder.ToTable("MigratedScript", "migration").HasKey(z => z.Id);
            builder.Property(z => z.Id).ValueGeneratedOnAdd();
        }
    }
}
