﻿using Microsoft.AspNetCore.Http;
using Netmash.Security.Authentication.Identity.Abstractions;
using System;

namespace Netmash.Security.Authentication.Identity.Models
{
    public class AuthenticationOptions : IAuthenticationOptions
    {
        public Func<HttpRequest, bool> AuthenticateAsGuest { get; set; }

        public int GuestUserId { get; set; }

        public string GuestUserName { get; set; }
        public bool AcceptTokenFromQuery { get; set; }
    }
}
